Help get this topic noticed by sharing it on Twitter, Facebook, or email.
I’m undecided

Will Photoshop 5.5 or 7.0 work?

For High Dynamic Range photography-I only have Photoshop 5.5 & 7.0. Can it be used with these versions?
1 person has
this question
+1
Reply